<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_1/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_1/wmo323/schema"
>

	<!-- iWmo 3.0 CS100 version 2.4.4 (2021-10-08) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS100"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS100"/>
	</xsl:template>

	<xsl:template match="wmo323:ProductPeriode/iwmo:Begindatum" mode="CS100">
		<xsl:if test="translate(text(), '-', '') &lt; 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS100</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo323:DeclaratiePeriode/iwmo:Begindatum" mode="CS100">
		<xsl:if test="translate(text(), '-', '') &lt; 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS100</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
