<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_1/wmo301/schema"
				xmlns:wmo305="http://www.istandaarden.nl/iwmo/3_1/wmo305/schema"
				xmlns:wmo307="http://www.istandaarden.nl/iwmo/3_1/wmo307/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_1/wmo315/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_1/wmo317/schema"
				xmlns:wmo319="http://www.istandaarden.nl/iwmo/3_1/wmo319/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_1/wmo323/schema"
				xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_1/wmo325/schema"
>
	<!-- iWmo 3.0 TR378 version 2.4.4 (2021-10-08) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR378"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR378"/>
	</xsl:template>

	<xsl:template match="wmo301:Afzender" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo305:Ontvanger" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo307:Ontvanger" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo315:Ontvanger" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo317:Ontvanger" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo319:Afzender" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo319:Gemeente" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo323:Ontvanger" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo325:Afzender" mode="TR378">
		<xsl:call-template name="checkGemeenteCode">
			<xsl:with-param name="pRule">TR378</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
