<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_1/wmo317/schema"
>

	<!-- iWmo 3.0 TR380 version 2.4.4 (2021-10-08) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR380"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR380"/>
	</xsl:template>

	<xsl:template match="wmo317:NieuwProduct/wmo317:GewensteIngangsdatum" mode="TR380">
		<xsl:call-template name="checkafterstrict">
			<xsl:with-param name="pOther"
							select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pRule">TR380</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
