<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_1/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_1/wmo323/schema"
>

	<!-- iWmo 3.0 CS339 version 2.4.4 (2021-10-08) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS339"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS339"/>
	</xsl:template>

	<xsl:template match="wmo323:Prestatie[wmo323:Eenheid/text() = '83']" mode="CS339">
		<xsl:call-template name="checkRelation">
			<xsl:with-param name="pThis" select="wmo323:GeleverdVolume"/>
			<xsl:with-param name="pOther" select="wmo323:IngediendBedrag/iwmo:Bedrag"/>
			<xsl:with-param name="pExtra" select="nonExistantNode"/>
			<xsl:with-param name="pRelation">equals</xsl:with-param>
			<xsl:with-param name="pRule">CS339</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
